---
layout: handbook-page-toc
title: "Solution Validation and Methods"
description: "Solution validation research critically assesses if the product/feature/design has indeed solved the problem that was initially intended to be solved"
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}


At GitLab, we practice both Problem Validation and Solution Validation research, depending on the questions we need answers to and where we are in the design process. The end result of these methods is a high degree of confidence that results in a better overall user experience.

### What is solution validation?

After identifying and understanding a problem, its context, and the people around it (also known as [problem validation](/handbook/engineering/ux/ux-research-training/problem-validation-and-methods/), the next step is to learn what solutions will work and which ones do not. Solution validation research critically assesses if the product/feature/design has indeed solved the problem that was initially intended to be solved. 


### When to use solution validation?

Solution validation research is conducted after we have a working design or prototype that was created to solve the problem(s) discovered in Problem Validation research. It is not necessary for the design or prototype to be high fidelity, it only needs to be able to support the task(s) it was designed for.

You can and should conduct solution validation research when confidence in the proposed solution isn't high, as it can help identify issues that may have been missed during other stages of the project. A great way to increase the confidence in your solution is to base design decisions on prior user research.

Apply the `UX Solution Validation` label to your research issue in the GitLab UX Research project. 




### What questions can solution validation answer?

* How do participants leverage the new product/feature/design to achieve a task?
* What pain points exist?
* What other information should be made available to ensure task success?
* Does the product/design/feature meet the user’s expectations?
* Which design allows the best task completion?


### Different solution validation research methods

When choosing the appropriate methodology for your research question, there are [multiple factors](/handbook/engineering/ux/ux-research-training/choosing-a-research-methodology/) to consider.

If you choose to conduct Usability Testing, take advantage of our tips on how to write a [usability testing script](/handbook/engineering/ux/ux-research-training/writing-usability-testing-script/). We also have an [unmoderated usability testing tool](/handbook/engineering/ux/ux-research-training/unmoderated-testing/), UserTesting.com. 

If you want help creating a pristine test environment be sure to reach out to the [Demo Systems](/handbook/customer-success/demo-systems/) group on the #demo-systems Slack channel. They can create a demo environment for users and help build any particular parameters needed for your testing environment. Be aware that setting up a test environment for a research study can be time consuming and difficult.  


Some solution validation research methods include:
* [Usability Testing](https://about.gitlab.com/handbook/engineering/ux/ux-research-training/usability-testing/) *possible to do unmoderated
* [Rapid Iterative Testing and Evaluation] (RITE) (/handbook/engineering/ux/ux-research-training/rite/)
* [UX Scorecard](https://about.gitlab.com/handbook/engineering/ux/ux-scorecards/)
* [Tree Testing](https://www.optimalworkshop.com/learn/101s/tree-testing/)
* [Card Sorting](https://www.usability.gov/how-to-and-tools/methods/card-sorting.html)
* [Design Evaluations](/handbook/engineering/ux/ux-research-training/creating-design-evaluations/)
* [First Click Testing](/handbook/engineering/ux/ux-research-training/creating-design-evaluations/#first-click-tests)

